const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Asmat',
    'Kabupaten Boven Digoel',
    'Kabupaten Mappi',
    'Kabupaten Merauke'

    // 4
];

exports.seedPapuaSelatanCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Papua Selatan' },
    });

    if (!province) {
        console.error('❌ Province Papua Selatan not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Papua Selatan City seeded!.');
};